GP 4.1.1 wanting me to downgrade to 2.1.1 as an "Update"

Reply
L0 Member

GP 4.1.1 wanting me to downgrade to 2.1.1 as an "Update"

I haven't had this issue with any other 4.1.1 clients I have installed for my users. We have been slowly rolling  out 4.1.1 while upgrading machines and replacing them with users. This morning when I came in to finalize a deployment GP 4.1.1 is now prompting me that wtf gp.png

 

I haven't heard from my users that this is happening to everyone so I am thinking its isolated to this machine. Unfortunately we no longer have a network engineer so I am unable to work with them for this type of situation.

 

This happens every reboot and anytime I sign into the machine. This on both my profile and the users profile as well. It doesn't seem to be affecting other machines or profiles, only this one. This is also persisting after a uninstall and reinstall. 

 

Has this happened to anyone else before? 

 

Appreciate the help.

Highlighted
L7 Applicator

Re: GP 4.1.1 wanting me to downgrade to 2.1.1 as an "Update"

It sounds like your portal/gateway has GP 2.1.1 loaded under Device > GlobalProtect Client. 

Also, you've got Network > GlobalProtect > Portals > {portal-name} > Agent tab > {config name} > App tab > "Allow User to Upgrade GlobalProtect App" enabled as "Allow with Prompt". You can disable that altogether while you test your upgrade. It should be universal (happening to all users who are running 4.1), so I'm not sure why only a single client would be affected.

L5 Sessionator

Re: GP 4.1.1 wanting me to downgrade to 2.1.1 as an "Update"

Hi @nrhoades

 

The behaviour you're seeing is because of two things:

 

1. The GlobalProtect version you have activated on the firewall (2.2) is lower than the client version that users have obtained.  (Device -> GlobalProtect Client)

2.  You have the following GlobalProtect Portal Client App config set "Allow User to Upgrade GlobalProtect App" - "Allow with Prompt" (Network -> GlobalProtect -> Portals -> Agent -> {Config Name} -> App)

 

To remedy this, either Activate the 4.1 version on the firewall or disable the users' ability to upgrade their app ("Disallow" option in point 2)

 

L0 Member

Re: GP 4.1.1 wanting me to downgrade to 2.1.1 as an "Update"

Ah alright I see. I will make sure our Acting Network Engineer takes a look and makes sure everything is fixed. Odd to though that its happening to this single machine. I had thought its been disallowed since we've never gotten the message before but something could have changed. I am disappointed to hear that the version in the firewall is still 2.1.1 since our actual Network Engineer helped us get 4.1 to a state to be deployed on our new win10 image. I appreciate all the help!

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!